
Figure - Bug #118149
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试144小时，CRASH: com.android.settings (29)
2023-05-22 18:41 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: 0106

Reproducibility: Rarely Fixed Version: 2023-05-23

Test Type: Monkey Test Root cause: 异常情况下数据为空导致。

Description

【错误信息】

CRASH: com.android.settings (pid 2327)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'java.lang.String android.content.pm.PackageInfo.packageName' on a

null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys

// Build Changelist: 3388

// Build Time: 1684175970000

// java.lang.NullPointerException: Attempt to read from field 'java.lang.String android.content.pm.PackageInfo.packageName' on a null object

reference

//     at

com.android.settings.applications.appinfo.AppButtonsPreferenceController.updateForceStopButton(AppButtonsPreferenceController.java:585

)

//     at

com.android.settings.applications.appinfo.AppButtonsPreferenceController.forceStopPackage(AppButtonsPreferenceController.java:648)

//     at

com.android.settings.applications.appinfo.AppButtonsPreferenceController.handleDialogClick(AppButtonsPreferenceController.java:382)

//     at com.android.settings.applications.appinfo.AppInfoDashboardFragment$1.onFragmentResult(AppInfoDashboardFragment.java:270)

//     at androidx.fragment.app.FragmentManager$6.onStateChanged(FragmentManager.java:916)

//     at androidx.lifecycle.LifecycleRegistry$ObserverWithState.dispatchEvent(LifecycleRegistry.java:354)

//     at androidx.lifecycle.LifecycleRegistry.forwardPass(LifecycleRegistry.java:265)

//     at androidx.lifecycle.LifecycleRegistry.sync(LifecycleRegistry.java:307)

//     at androidx.lifecycle.LifecycleRegistry.moveToState(LifecycleRegistry.java:148)

//     at androidx.lifecycle.LifecycleRegistry.handleLifecycleEvent(LifecycleRegistry.java:134)

//     at androidx.fragment.app.Fragment.performStart(Fragment.java:3016)

//     at androidx.fragment.app.FragmentStateManager.start(FragmentStateManager.java:565)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:276)

//     at androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

//     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

//     at androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

//     at androidx.fragment.app.FragmentManager.executePendingTransactions(FragmentManager.java:603)

//     at com.android.settings.homepage.SettingsHomepageActivity.addFragment(SettingsHomepageActivity.java:458)

//     at

com.android.settings.homepage.SettingsHomepageActivity.lambda$changeSettingsDetailsFragment$3(SettingsHomepageActivity.java:447)
//     at com.android.settings.homepage.SettingsHomepageActivity.$r8$lambda$GDM2RdS1ITQZQUFBqNf1SBHxq9k(Unknown Source:0)

//     at com.android.settings.homepage.SettingsHomepageActivity$$ExternalSyntheticLambda3.run(Unknown Source:10)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-22 18:57 - CD TEST-方永红

- Parent task set to #113422

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118149-155

#2 - 2023-05-23 19:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202056 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash problem.TC-RID: 1201-0201802IssueID: TS-R-BUG-118149Change-Id: I64f3d3423fe4ec98cea200f362b240343d5aa330

#3 - 2023-05-23 19:30 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-23

- Root cause set to 异常情况下数据为空导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

异常情况下数据为空导致。

■ Next action

测试验证。
#4 - 2023-06-01 10:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1

验证通过

#5 - 2023-06-01 10:38 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
